[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: query post/postun/preun dependencies for a rpm



The Requires(post) context marker exists only for breaking loop deps at the install package time.So it is not necessary to register them in an rpmdb because they were needed only
for installing, not for using or erasing, a package. The %post scriptlet is run only during install, never run after install.

Regards

2008/12/18 Till Maas <opensource till name>
Hiyas,

I would like to query the post/postun/preun dependencies of an rpm.
If I run rpm --requires -q pam_mount, it is not shown which dependencies
result e.g. from a Requires(post), but I am sure that there is at least one,
e.g. one of the /bin/sh dependencies.

Regards,
Till

--
fedora-devel-list mailing list
fedora-devel-list redhat com
https://www.redhat.com/mailman/listinfo/fedora-devel-list


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]